import { getDayOfWeekIndex } from "./utils";

// Mockovací data pro podporované podniky, na jeden týden
const MOCK_DATA = {
    'sladovnicka': [
        [
            {
                amount: "0,25l",
                name: "Kulajda",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Kuřecí křidélka s vařeným bramborem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Hovězí hamburger s BBQ omáčkou a hranolky",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Frankfurtská hovězí pečeně s jasmínovou rýží",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Hovězí vývar s kapáním",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "200g",
                name: "Smažený karbanátek s bramborovou kaší",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Vepřová plec na smetaně s kynutým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Trhané kachní maso se zeleninovým kuskusem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Zelná polévka s klobásou",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hovězí na česneku s bramborovým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "250g",
                name: "Přírodní holandský řízek s bramborovou kaší, rajčatový salát",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "350g",
                name: "Bagel s vinnou klobásou, cibulový konfit, kysané zelí, slanina a hořčicová mayo, hranolky, curry omáčka",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Kuřecí vývar s nudlemi",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Kovbojské fazole s klobásou a chlebem",
                price: "125\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí rarášci s vařeným bramborem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Hovězí pečeně na slanině s jasmínovou rýží",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,25l",
                name: "Dršťková polévka",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Tortilla s kuřecím masem, čedarem, zeleninou a papričkami jalapeňos",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Segedínský guláš s kynutým knedlíkem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Filet z krůtích prsou, omáčka z modrého sýra, pečené brambory",
                price: "145\xA0Kč",
                isSoup: false,
            }
        ]
    ],
    'uMotliku': [
        [
            {
                amount: "0,33l",
                name: "Žampionový krém",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Halušky se zelím a uzeným masem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí směs se zeleninou a arašídy, jasmínová rýže",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Smažený vepřový řízek, vařený brambor, okurka",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Zelňačka",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "250g",
                name: "Lasagne s boloňskou omáčkou a sýrem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Fazolový guláš s párkem, bramborem a pečivem",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Grilovaná vepřová panenka s omáčkou z hrubozrnné hořčice, restované brambory se slaninou",
                price: "145\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Kuřecí vývar s nudlemi",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hovězí svíčková na smetaně, kynutý knedlík, brusinky",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí roláda s mandlovou nádivkou, šťouchané brambory se slaninou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Těstovinový salát s tuňákem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Minestrone",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Hamburger s trhaným vepřovým pleckem v BBQ omáčce, karamelizovaná cibule, hranolky, jarní dip",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí medailonky v sýrové omáčce, šťouchaný brambor s pažitkou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kofty z mletého masa, tzatziki, pita chléb",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "0,33l",
                name: "Gulášová",
                price: "35\xA0Kč",
                isSoup: true,
            },
            {
                amount: "150g",
                name: "Španělský hovězí ptáček, rýže (houskový knedlík)",
                price: "145\xA0Kč",
                isSoup: false,
            },
            {
                amount: "150g",
                name: "Kuřecí prsa zapečená s rajčaty a mozarellou, šťouchaný brambor s jarní cibulkou",
                price: "135\xA0Kč",
                isSoup: false,
            },
            {
                amount: "3ks",
                name: "Ovocné knedlíky s máslem, cukrem a tvarohem",
                price: "135\xA0Kč",
                isSoup: false,
            }
        ]
    ],
    'techTower': [
        [
            {
                amount: "-",
                name: "Uzený vývar s kapustou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Čočka na kyselo, opečená klobása, okurka, chléb",
                price: "120\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Kuřecí medailonky se sýrovou omáčkou, hranolky",
                price: "170\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Slepičí s nudlemi",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Zvěřinový guláš, knedlík",
                price: "120\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Smažený hermelín, brambory, tatarská omáčka",
                price: "170\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Dýňový krém se smetanou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Kuřecí směs se zeleninou, rýže",
                price: "120\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Hambuger Black Angus s čedarem a slaninou, cibulové kroužky",
                price: "220\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Zeleninová s jáhly",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Rizoto s vepřovým masem, okurka",
                price: "120\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Steak z lososa, grilovaná zelenina",
                price: "220\xA0Kč",
                isSoup: false,
            }
        ],
        [
            {
                amount: "-",
                name: "Fazolová s uzeninou",
                price: "40\xA0Kč",
                isSoup: true,
            },
            {
                amount: "-",
                name: "Krůtí perkelt, těstoviny",
                price: "120\xA0Kč",
                isSoup: false,
            },
            {
                amount: "-",
                name: "Grilovaná vepřová panenka, parmazánové pyré",
                price: "170\xA0Kč",
                isSoup: false,
            }
        ]
    ]
}

export const getTodayMock = () => {
    return '2023-05-31'; // středa
}

export const getMenuSladovnickaMock = (date: Date) => {
    return MOCK_DATA['sladovnicka'][getDayOfWeekIndex(date)];
}

export const getMenuUMotlikuMock = (date: Date) => {
    return MOCK_DATA['uMotliku'][getDayOfWeekIndex(date)];
}

export const getMenuTechTowerMock = (date: Date) => {
    return MOCK_DATA['techTower'][getDayOfWeekIndex(date)];
}